shadow/tests/split_groups/05_useradd_split_group_already_split_passwd_differ/useradd.test

55 lines
1.3 KiB
Plaintext
Raw Normal View History

#!/bin/sh
set -e
cd $(dirname $0)
. ../../common/config.sh
. ../../common/log.sh
log_start "$0" "Add a new user to a group already split, with different group passwd"
save_config
# restore the files on exit
trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo -n "Create user foo4, in group foo (useradd -G foo foo4)..."
useradd -G foo foo4 2>tmp/useradd.err && exit 1 || {
status=$?
}
echo "OK"
echo -n "Check returned status ($status)..."
test "$status" = "10"
echo "OK"
echo "useradd reported:"
echo "======================================================================="
cat tmp/useradd.err
echo "======================================================================="
echo -n "Check that there were a failure message..."
diff -au data/useradd.err tmp/useradd.err
echo "error message OK."
rm -f tmp/useradd.err
echo -n "Check the passwd file..."
../../common/compare_file.pl config/etc/passwd /etc/passwd
echo "OK"
echo -n "Check the group file..."
../../common/compare_file.pl config/etc/group /etc/group
echo "OK"
echo -n "Check the shadow file..."
../../common/compare_file.pl config/etc/shadow /etc/shadow
echo "OK"
echo -n "Check the gshadow file..."
../../common/compare_file.pl config/etc/gshadow /etc/gshadow
echo "OK"
log_status "$0" "SUCCESS"
restore_config
trap '' 0